Summary:	A complete ODBC driver manager for Linux.
Name:		unixODBC
Version:	2.2.11
Release:	1
Group:		Libraries
Copyright:	LGPL
URL:            http://www.unixodbc.org/
Source0:        http://www.unixodbc.org/%{name}-%{version}.tar.gz
Source1:	DataManager.desktop
Source2:	DataManagerII.desktop
Source3:	ODBCConfig.desktop
Source4:	odbctest.desktop
BuildRoot:	%{_tmppath}/%{name}-root
Provides:	ODBC odbc libodbc.so libodbcinst.so

%description
Install unixODBC if you want to access databases through ODBC.  This
package includes low-level drivers for MySQL, PostgreSQL, and local files.
However, the included drivers are not as up-to-date as the ones distributed
separately.  It is recommended that you install and use the MyODBC package
if you need a driver for MySQL, and/or the postgresql-odbc package for
PostgreSQL.

%package 	devel
Summary: 	Development files for programs which will use the unixODBC library.
Group: 		Development
Provides:	ODBC-devel odbc-devel

%description 	devel
The unixODBC package can be used to access databases through ODBC
drivers. If you want to develop programs that will access data through
ODBC, you need to install this package.

%prep
%setup -q

%build
%configure --with-gnu-ld=yes --enable-threads=yes --enable-gui=yes --enable-static=no --enable-drivers
make all

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Applications/Development/unixODBC
cp %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} $RPM_BUILD_ROOT/usr/share/peanut/apps/Applications/Development/unixODBC

cat << EOF >> $RPM_BUILD_ROOT/etc/odbcinst.ini
[PostgreSQL]
Description	= ODBC for PostgreSQL
Driver		= /usr/lib/libodbcpsql.so
Setup		= /usr/lib/libodbcpsqlS.so
FileUsage	= 1
EOF

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/odbc*
/usr/lib/*.so.*
/usr/lib/*.so
/usr/lib/*.la
/usr/bin
/usr/share

%files devel
%defattr(-,root,root)
/usr/include
